class UserInfo {
  String? msg;
  int? code;
  Data? data;

  UserInfo({this.msg, this.code, this.data});

  UserInfo.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class Data {
  String? id;
  int? isDel;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  String? tenantId;
  String? phoneNumber;
  Null? password;
  String? identificationCard;
  String? avatar;

  Data(
      {this.id,
        this.isDel,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.tenantId,
        this.phoneNumber,
        this.password,
        this.identificationCard,
        this.avatar});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    isDel = json['isDel'];
    createDate = json['createDate'];
    createUser = json['createUser'];
    updateDate = json['updateDate'];
    updateUser = json['updateUser'];
    tenantId = json['tenantId'];
    phoneNumber = json['phoneNumber'];
    password = json['password'];
    identificationCard = json['identificationCard'];
    avatar = json['avatar'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['isDel'] = this.isDel;
    data['createDate'] = this.createDate;
    data['createUser'] = this.createUser;
    data['updateDate'] = this.updateDate;
    data['updateUser'] = this.updateUser;
    data['tenantId'] = this.tenantId;
    data['phoneNumber'] = this.phoneNumber;
    data['password'] = this.password;
    data['identificationCard'] = this.identificationCard;
    data['avatar'] = this.avatar;
    return data;
  }
}
